View Issue Details

IDProjectCategoryView StatusLast Update
0026712mantisbtuipublic2020-03-15 15:23
Reporterrogueresearch Assigned Todregad  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.22.0 
Target Version2.24.0Fixed in Version2.24.0 
Summary0026712: Provide a way to 'show content' for all complex items on Manage Configuration Report page
Description

Between (I think) mantis 2.21 and 2.23, the UI in Manage Configuration > Configuration Report > Database Configuration changed to have little "[Show Content]" links for the "Value" column. See attached.

I liked it better the old way, where the value was always shown. I suppose there was a good reason for the change, but it makes to hard to search the page for text. ex: if I have the same 'configuration option' customized in many projects, and want to change them all, it's nice to use the browser's 'find' feature.

How about a button to 'show content' for everything, so one doesn't need to click a hundred times?

TagsNo tags attached.

Relationships

related to 0025910 closedcproensa Simplify displaying of complex values in adm_config_report page 

Activities

rogueresearch

rogueresearch

2020-02-17 16:41

reporter  

ShowContentLinks.png (111,311 bytes)   
ShowContentLinks.png (111,311 bytes)   
dregad

dregad

2020-02-18 06:11

developer   ~0063650

PR https://github.com/mantisbt/mantisbt/pull/1624

dregad

dregad

2020-02-22 12:25

developer   ~0063677

@rogueresearch some feedback / testing would be nice

rogueresearch

rogueresearch

2020-02-25 11:52

reporter   ~0063691

I looked at the code change, seems like a fine solution to me.

Related Changesets

MantisBT: master 762f4edf

2020-02-18 05:49:33

dregad

Details Diff
Add button to expand all complex options

Fixes 0026712
Affected Issues
0026712
mod - adm_config_report.php Diff File
mod - js/adm_config_report.js Diff File
mod - lang/strings_english.txt Diff File

Issue History

Date Modified Username Field Change
2020-02-17 16:41 rogueresearch New Issue
2020-02-17 16:41 rogueresearch File Added: ShowContentLinks.png
2020-02-17 16:59 atrol Relationship added related to 0025910
2020-02-18 03:21 dregad Product Version 2.23.0 => 2.22.0
2020-02-18 06:11 dregad Assigned To => dregad
2020-02-18 06:11 dregad Status new => assigned
2020-02-18 06:11 dregad Note Added: 0063650
2020-02-18 06:11 dregad Target Version => 2.24.0
2020-02-18 06:48 dregad Summary regression: 'Manage Configuration > Configuration Report > Database Configuration' needs a way to 'show content' for all items => Provide a way to 'show content' for all complex items on Manage Configuration Report page
2020-02-22 12:25 dregad Note Added: 0063677
2020-02-25 11:16 dregad Changeset attached => MantisBT master 762f4edf
2020-02-25 11:16 dregad Status assigned => resolved
2020-02-25 11:16 dregad Resolution open => fixed
2020-02-25 11:16 dregad Fixed in Version => 2.24.0
2020-02-25 11:52 rogueresearch Note Added: 0063691
2020-03-15 15:23 vboctor Status resolved => closed